package MT::Plugin::MyPlugin;

use strict;
use MT::Plugin;
@MT::Plugin::MyPlugin::ISA = qw(MT::Plugin);

use vars qw($PLUGIN_NAME $VERSION);
$PLUGIN_NAME = 'MyPlugin';
$VERSION = '0.1';

use MT;
my $plugin = new MT::Plugin::MyPlugin({
    name => $PLUGIN_NAME,
    version => $VERSION,
    description => 'MyPlugin Description.',
    author_name => 'Plugin Author Name',
    author_link => 'http://plugin.author/url/',
});

MT->add_plugin($plugin);

sub init_registry {
    my $plugin = shift;
    $plugin->registry({
        template_sets => {
            my_set => {
                label => "My Template Set",
                base_path => 'templates/',
                order => 100,
                templates => {
                    index => {
                        'homepage' => {
                            label => 'My Homepage',
                            outfile => 'index.php',
                            rebuild_me => '1',
                        },
                    },
                    individual => {
                        'entry' => {
                            label => 'Blog Entry',
                            mappings => {
                                entry_archive => {
                                    archive_type => 'Individual',
                                    preferred => '0',
                                },
                            },
                        },
                    },
                    archive => {
                        'another_entry' => {
                            label => 'Another Blog Entry',
                            mappings => {
                                entry_archive => {
                                    archive_type => 'Individual',
                                    file_template => '%c/%f',
                                    preferred => '1',
                                },
                            },
                        },
                        'entry_listing' => {
                            label => 'Blog Entry Listing',
                            mappings => {
                                monthly => {
                                    archive_type => 'Monthly',
                                },
                                category => {
                                    archive_type => 'Category',
                                    file_template => '%c/index.html',
                                },
                            },
                        },
                    },
                    system => {
                        'search_results' => {
                            label => 'Search Results',
                            description_label => '',
                        },
                    },
                    module => {
                        'foo' => {
                            label => 'Foo Module',
                        },
                    },
                },
            },
        },
    });
}

1;
